# MatNorm

Calculates various norms of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNorm(Mat mat,NormType type,PetscReal *nrm)

Collective on Mat

### Input Parameters

| mat | - the matrix
| type | - the type of norm, NORM_1, NORM_FROBENIUS, NORM_INFINITY

### Output Parameters

nrm -the resulting norm

### C++ variants

| PetscReal MatNorm(Mat A,NormType t) |  | -> |  | MatNorm(A,t,&n); return n;

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages